/// <reference types="node" />
import { Storage } from "@google-cloud/storage";
import { Readable } from 'stream';
import { FileManager } from "./FileManager";
export declare class GoogleCloud implements FileManager {
    storage: Storage;
    constructor();
    createBucketIfNotExists(): Promise<void>;
    upload(stream: Readable, filename: string): Promise<void>;
    listFilesBucket(): Promise<void>;
}
