/// <reference types="node" />
import { Preprocessor } from '../Preprocessor';
import { DataRequest, ItemData } from '../../../interfaces/Province';
export declare class OneFile implements Preprocessor {
    static clean(): void;
    process(file: Buffer, data: DataRequest): Promise<Buffer>;
    upload(data: ItemData): Promise<void>;
    getAllTempFiles(folderName?: string, bufs?: {
        filename: string;
        buf: Buffer;
    }[]): {
        filename: string;
        buf: Buffer;
    }[];
}
