/// <reference types="node" />
/// <reference types="node" />
import { Readable } from 'stream';
export interface FileUnzipped {
    filename: string;
    value: Buffer;
    extension: string;
}
export declare class ZipReader {
    files: FileUnzipped[];
    readZip(file: Buffer): Promise<FileUnzipped[]>;
    streamToBuffer(stream: Readable): Promise<Buffer>;
    isZip(filename: string): boolean;
    isDirectory(filename: string): boolean;
    getExtension(filename: string): string;
}
