"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Formatter = void 0;
const cartographic_1 = require("../config/cartographic");
class Formatter {
    static format(file) {
        let formatted = {};
        for (const [key, [start, end]] of Object.entries(cartographic_1.slices)) {
            let formattedKey = 'scrap_'.concat(key.replaceAll('/', '_'));
            formatted[formattedKey] = file.substring(start, end);
        }
        return formatted;
    }
}
exports.Formatter = Formatter;
//# sourceMappingURL=Formatter.js.map