"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const https_1 = __importDefault(require("https"));
let instance;
exports.default = () => {
    if (!instance) {
        instance = axios_1.default.create({
            httpsAgent: new https_1.default.Agent({
                rejectUnauthorized: false,
                keepAlive: true,
            }),
            headers: {
                "User-Agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36",
                "Content-Type": "application/x-www-form-urlencoded",
                "Accept-Encoding": "gzip, deflate, br",
            },
        });
    }
    return instance;
};
//# sourceMappingURL=getAxios.js.map