"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Local = void 0;
const fs_1 = require("fs");
class Local {
    async upload(stream, path) {
        const ws = (0, fs_1.createWriteStream)(path);
        stream.pipe(ws);
        return new Promise(res => {
            stream.on('close', () => {
                res();
            });
        });
    }
}
exports.Local = Local;
//# sourceMappingURL=Local.js.map