/// <reference types="node" />
/// <reference types="node" />
import { Preprocessor } from "../Preprocessor";
import { Readable } from 'stream';
import { DataRequest, ItemData } from "../../../interfaces/Province";
export declare const outputFolder: string;
export declare const tempFile: string;
export declare class UploadToCsv implements Preprocessor {
    static clean(): void;
    process(file: Buffer, data: DataRequest): Promise<Buffer>;
    upload(data: ItemData): Promise<void>;
    arrayObjectsToCsv(objects: Array<object>): Promise<void>;
    gzipToLines(stream: Readable): Promise<Array<string>>;
    convertEncodingLatinToUtf8(string: string): string;
}
