import { Browser, Page } from "puppeteer";
declare class Puppeteer {
    browser?: Browser | null;
    page?: Page | null;
    arrayCookies?: {
        name: string;
        value: string;
    }[];
    constructor(browser?: Browser | null, page?: Page | null, arrayCookies?: {
        name: string;
        value: string;
    }[]);
    init(): Promise<void>;
    config(): void;
    plugins(): void;
    authenticate(): Promise<{
        arrayCookies: {
            name: string;
            value: string;
        }[];
    }>;
    getToken(): Promise<string | undefined>;
    close(): void;
}
export default Puppeteer;
