import Zip from "../Zip";
import { ItemData } from "../../interfaces/Province";
import { Config } from "../../interfaces/Config";
export declare class Scraper {
    arrayCookies?: Array<{
        name: string;
        value: string;
    }>;
    zipService: Zip;
    constructor(config: Config);
    init(): Promise<void>;
    close(): Promise<void>;
    getProvincias(): Promise<ItemData[]>;
}
