/// <reference types="node" />
/// <reference types="node" />
import JSZip from "jszip";
declare class Zip {
    zip: JSZip;
    filename: string;
    constructor(filename: string);
    addFile(folderName: string, file: Buffer, filename: string): void;
    setFilename(filename: string): void;
    clear(): void;
    getStream(): NodeJS.ReadableStream;
    upload(): Promise<void>;
}
export default Zip;
